Package org.apache.ignite.spi.systemview.view.sql

## Class SqlViewView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.sql.SqlViewView

    public class SqlViewView
    extends Object

Sql view representation for a `ViewDescriptor`.

### Constructor Summary

Constructors
`SqlViewView​(SchemaDescriptor schema, ViewDescriptor view)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()`
`String` `name()`
`String` `schema()`
`String` `sql()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlViewView

    public SqlViewView​(SchemaDescriptor schema,
                       ViewDescriptor view)

Parameters:
  `schema` - Schema descriptor.
  `view` - View descriptor.

### Method Detail

#### schema

    public String schema()

Returns:
  View schema.

#### name

    public String name()

Returns:
  View name.

#### sql

    public String sql()

Returns:
  View SQL.

#### description

    public String description()

Returns:
  View description.